From ddffb8b9360e64010510ac3be948f1f73034c5be Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Thu, 5 Feb 2009 11:25:12 +0530
Subject: [PATCH] clustermon: Include support for ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 clustermon-0.15.0-arm.patch |   27 +++++++++++++++++++++++++++
 clustermon.spec             |    7 ++++++-
 2 files changed, 33 insertions(+), 1 deletions(-)
 create mode 100644 clustermon-0.15.0-arm.patch

diff --git a/clustermon-0.15.0-arm.patch b/clustermon-0.15.0-arm.patch
new file mode 100644
index 0000000..0b24380
--- /dev/null
+++ b/clustermon-0.15.0-arm.patch
@@ -0,0 +1,27 @@
+--- clustermon-0.15.0.orig/ricci/configure	2008-10-15 16:23:06.000000000 -0400
++++ clustermon-0.15.0/ricci/configure	2009-02-03 19:23:39.000000000 -0500
+@@ -41,6 +41,10 @@ if [ "$ARCH" = "x86_64" ] ; then
+ 	fi
+ fi
+ 
++if echo "$ARCH" | grep "^arm"  > /dev/null ; then
++	PEGASUS_PLATFORM=arm
++fi
++
+ 
+ # D-BUS version
+ DBUS_VERSION=`pkg-config --modversion dbus-1 2>/dev/null`
+--- clustermon-0.15.0.orig/ricci/modules/cluster/clumon/src/cim-provider/Makefile	2008-10-15 16:23:06.000000000 -0400
++++ clustermon-0.15.0/ricci/modules/cluster/clumon/src/cim-provider/Makefile	2009-02-03 19:21:00.000000000 -0500
+@@ -55,6 +55,11 @@ ifeq ($(PEGASUS_PLATFORM),s390x)
+ 	PEGASUS_CXXFLAGS = -DPEGASUS_PLATFORM_LINUX_ZSERIES64_GNU
+ endif
+ 
++ifeq ($(PEGASUS_PLATFORM),arm)
++	PEGASUS_CXXFLAGS = -DPEGASUS_PLATFORM_LINUX_ARM_GNU
++endif
++
++
+ INCLUDE += -I ../include
+ CXXFLAGS += $(PEGASUS_CXXFLAGS) -DPARANOIA=$(PARANOID)
+ LDFLAGS += -shared -ldl -lcrypt -lcman
diff --git a/clustermon.spec b/clustermon.spec
index 8127ce2..12e06be 100644
--- a/clustermon.spec
+++ b/clustermon.spec
@@ -17,7 +17,7 @@
 
 Name: clustermon
 Version: 0.15.0
-Release: 6%{?dist}
+Release: 6%{?dist}.fa1
 License: GPLv2
 URL: http://sources.redhat.com/cluster/conga
 
@@ -25,6 +25,7 @@ Group: System Environment/Base
 Summary: Monitoring and management of Red Hat Enterprise Linux Cluster Suite
 
 Source0: %{name}-%{version}.tar.gz
+Patch: clustermon-0.15.0-arm.patch
 Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires: cmanlib-devel >= 2.99.10-4
@@ -39,6 +40,7 @@ SNMP/CIM module/agent/provider.
 
 %prep
 %setup -q
+%patch -p1
 
 %build
 %configure		--arch=%{_arch} \
@@ -182,6 +184,9 @@ exit 0
 
 
 %changelog
+* Thu Feb 5 2009 Kedar Sovani <kedars@marvell.com> 0.15.0-6.fa1
+- Include support for ARM
+
 * Wed Oct 15 2008 Ryan McCabe <rmccabe@redhat.com> 0.15.0-6
 - Don't make failing to update the cluster version a fatal error when trying to set a new configuration file.
 
-- 
1.5.3.3

